package cn.fateverse.workflow.enums;

/**
 * 审批节点模式枚举
 *
 * @author Clay
 * @date 2022/12/27
 */
public enum ModeEnums {
    /**
     * 会签（可同时审批，每个人必须同意）
     */
    AND("AND"),

    NORMAL("NORMAL"),
    /**
     * 或签（有一人同意即可）
     */
    OR("OR"),
    /**
     * 会签 （按选择顺序审批，每个人必须同意）
     */
    NEXT("NEXT");

    private String typeName;

    ModeEnums(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
